CMSIS-Driver: Driver_MCI.c File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_MCI.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_MCI_GetVersion (void)
| Get driver version. More...
ARM_MCI_CAPABILITIES | ARM_MCI_GetCapabilities (void)
| Get driver capabilities. More...
int32_t | ARM_MCI_Initialize (ARM_MCI_SignalEvent_t cb_event)
| Initialize the Memory Card Interface. More...
int32_t | ARM_MCI_Uninitialize (void)
| De-initialize Memory Card Interface. More...
int32_t | ARM_MCI_PowerControl (ARM_POWER_STATE state)
| Control Memory Card Interface Power. More...
int32_t | ARM_MCI_CardPower (uint32_t voltage)
| Set Memory Card Power supply voltage. More...
int32_t | ARM_MCI_ReadCD (void)
| Read Card Detect (CD) state. More...
int32_t | ARM_MCI_ReadWP (void)
| Read Write Protect (WP) state. More...
int32_t | ARM_MCI_SendCommand (uint32_t cmd, uint32_t arg, uint32_t flags, uint32_t *response)
| Send Command to card and get the response. More...
int32_t | ARM_MCI_SetupTransfer (uint8_t *data, uint32_t block_count, uint32_t block_size, uint32_t mode)
| Setup read or write transfer operation. More...
int32_t | ARM_MCI_AbortTransfer (void)
| Abort current read/write data transfer. More...
int32_t | ARM_MCI_Control (uint32_t control, uint32_t arg)
| Control MCI Interface. More...
ARM_MCI_STATUS | ARM_MCI_GetStatus (void)
| Get MCI status. More...
void | ARM_MCI_SignalEvent (uint32_t event)
| Callback function that signals a MCI Card Event. More...